#ifndef __COMMON_RESOURCES_H__
	#define __COMMON_RESOURCES_H__

	#define BmpID_SourcesPage		125
	//#undef TREE_VIEW_RESOURCE_ID
	#define TREE_VIEW_RESOURCE_ID	2000









	#define MAIN_FORM_ID			1000
	#define formID_find				1002
	#define formID_about			1004
	#define formID_Preferences		1005
	#define formID_MissingLesson	1006
	#define formID_calendar			1007
	#define formID_ChooseSection	1008
	#define formID_register			1009
	#define formID_key				1010
	#define formID_Sources			1011

	#define menuitemID_pass			5002
	#define menuitemID_about		1000
	#define menuitemID_info			1001

	#define menuitemID_prevDay		1004
	#define menuitemID_nextDay		1005
	#define menuitemID_today		1006

	#define menuitemID_undo			1009
	#define menuitemID_copy			1010
	#define menuitemID_cut			1011
	#define menuitemID_paste		1012
	#define menuitemID_select		1013
	#define menuitemID_Bottom		1014
	#define menuitemID_Top			1015
	#define menuitemID_Find			1016
	#define menuitemID_Again		1017
	#define menuitemID_Preferences	1020
	#define menuitemID_chooseDay	1021
	#define menuitemID_key			1022
	#define menuID_Book				2000
	#define menuID_edit				2001
	#define menuID_ChooseSection	1040
	#define menuID_BookmarkAdd		1041
	#define menuID_BookmarkRemove	1042
	#define menuitemID_showSources	1043

	#define fieldID_find			3000
	#define fieldID_scrollH			3007
	#define fieldID_scrollS			3008
	#define fieldID_scrollF			3009
	#define fieldID_font			3010
	#define fieldID_from			3011
	#define fieldID_to				3012
	#define fieldID_MishnaTorah		3013

	#define alertID_MissingLesson	1000
	#define RomIncompatibleAlert	1006
	#define alertID_new				3401
	#define alertID_about			3402
	#define alertID_MemoryLow		3403
	#define alertID_expires			3404
	#define alertID_expired			3405
	#define alertID_removeBookmark	3406

	#define helpID_expires			3501

	#define buttonID_up				4003
	#define buttonID_down			4004
	#define buttonID_PrevDay		4001
	#define buttonID_LeftArrow		4001	/*	same as buttonID_PrevDay	*/
	#define buttonID_NextDay		4002
	#define buttonID_RightArrow		4002	/*	same as buttonID_NextDay	*/
	#define buttonID_today			4005

	#define buttonID_cancel			4006
	#define buttonID_ok				4007
	#define buttonID_find			4007
	#define buttonID_again			4009
	#define buttonID_showKey		4010
	#define buttonID_ChooseSection	4012
	/*
	#define buttonID_small			4010
	#define buttonID_large			4011
	*/
	#define groupID_fontSize		1


	#define checkboxID_SplashScreen		5002
	#define checkboxID_ScrnPgTap		5003
	#define checkboxID_PgTapAudible		5004
	#define checkboxID_PgTapTopBottom	5005
	#define checkboxID_PgTapRightLeft	5006
	#define checkboxID_FontSmall		5007
	#define checkboxID_FontLarge		5008
	#define checkboxID_PgTapPageFull	5009
	#define checkboxID_PgTap1Line		5010
	#define checkboxID_ScrlBtnPageFull	5011
	#define checkboxID_ScrlBtn1Line		5012
	#define checkboxID_ScrnBtnPageFull	5013
	#define checkboxID_ScrnBtn1Line		5014
	#define checkboxID_GlobalSearch		5015
	#define checkboxID_MatchCase		5016
	#define checkboxID_IsraelParsha		5017
	#define checkboxID_HebrewEnabled	5018

	#define ScrollBarID_MainScreen		5200
	#define ScrollBarID_ChooseSection	5201

	#define CUSTOM_FIELD_POS_TOP		16
	#ifdef PALM_SCRN_HEIGHT
		#define CUSTOM_FIELD_POS_HEIGHT		(PALM_SCRN_HEIGHT - (160 - 132)) //132
	#else
		#define CUSTOM_FIELD_POS_HEIGHT		132
	#endif
	#define CUSTOM_FIELD_POS_BOTTOM		(CUSTOM_FIELD_POS_TOP + CUSTOM_FIELD_POS_HEIGHT)

	#define SCROLLBAR_POS_WIDTH			7
	#define SCROLLBAR_POS_TOP			16
	#define SCROLLBAR_POS_HEIGHT		132
	#define SCROLLBAR_POS_BOTTOM		(SCROLLBAR_POS_TOP + SCROLLBAR_POS_HEIGHT)

	//#define checkID_back			4417
	#define listID_dblist			4502
	#define listID_popuplist		4503
	#define listID_find				4504
	#define BmpID_BH				110
	#define BmpID_SIE32x32			111
	#define BmpID_BlackLine160x1	112
	#define BmpID_find				113
	#define BmpID_again				114
	#define BmpID_Rebbe65x72		115
	#define BmpID_plus				116
	#define BmpID_minus				117
	#define BmpID_document			118
	#define BmpID_MK_Key_Logo		119
	#define BmpID_today				120
	#define BmpID_MK_Key_Logo_List	121
	#define BmpID_book_plus			122
	#define BmpID_book_minus		123
	#define BmpID_small_1			124
	#define BmpID_hebrew_keyboard	126
	#define BmpID_vowels			201	/*	- through 220	*/


	#ifdef NEED_HEBREW_SUPPORT
		#ifdef USE_OLD_NUMBERS
			#define fontID_Hebrew8x11Variable		1001
			#define fontID_Hebrew8x11VariableBold	1002
			#define fontID_Hebrew6x9Variable		1003
		#else
			#define fontID_Hebrew6x9Variable		1001
			#define fontID_Hebrew8x11Variable		1002
			#define fontID_Hebrew8x11VariableBold	1003
		#endif
	#else
			#define fontID_Hebrew6x9Variable		1001
			#define fontID_Hebrew8x11Variable		1002
			#define fontID_Hebrew8x11VariableBold	1003
	#endif
	//#ifdef NEED_CUSTOM_ENGLISH_FONTS
			#define fontID_EnglishSmallRegular		1011
			#define fontID_EnglishSmallBold			1012
			#define fontID_EnglishLargeRegular		1013
			#define fontID_EnglishLargeBold			1014
	//#endif

	#define HOLIDAY_GUIDE_RESOURCE_ID	999
	#define SCROLL_BAR_WIDTH			7
	#define CHOOSE_SECTION_POS_TOP		16
	#define CHOOSE_SECTION_POS_HEIGHT	144


	#define UPDATE_REREAD_RESOURCE		11

#endif
